<?php

namespace goodboyalex\php_components_pack\interfaces;

/**
 * Интерфейс, указывающий, что класс может быть переведён в массив и обратно.
 *
 * @author Александр Бабаев
 * @package php_components_pack
 * @version 1.0
 * @since 1.1.2
 */
interface IArrayable
{
    /**
     * Переводит объект в массив.
     *
     * @return array Массив объекта.
     */
    public function ToArray (): array;

    /**
     * Переводит массив в объект.
     *
     * @param array $array Массив.
     *
     * @return void
     */
    public function FromArray (array $array): void;
}